/*	AMX Mod X script.

	Dproto stocks by Zetex.
	It works only with dproto >= 0.4.4
*/

#if defined _dproto_included
  #endinput
#endif
#define _dproto_included

// Returns true or false.
stock bool:is_user_steam(index)
{
	new dp_provider = get_cvar_pointer("dp_r_id_provider");

	if (dp_provider)
	{
		server_cmd("dp_clientinfo %d", index);
		server_exec();

		return (get_pcvar_num(dp_provider) == 2) ? true : false;
	}

	return false;
}

// Returns auth mode.
stock get_user_client(index, client[], len)
{
	new dp_provider = get_cvar_pointer("dp_r_id_provider");
	new dp_protocol = get_cvar_pointer("dp_r_protocol");

	if (dp_provider && dp_protocol)
	{
		server_cmd("dp_clientinfo %d", index);
		server_exec();

		switch (get_pcvar_num(dp_provider))
		{
			case 0: copy(client, len, "Unknown");
			case 1: copy(client, len, "Non-Steam");
			case 2: copy(client, len, "Native Steam");
			case 3: copy(client, len, "SteamEmu");
			case 4: copy(client, len, "RevEmu");
			case 5: copy(client, len, "Old RevEmu");
			case 6: copy(client, len, "HLTV");
			case 7: copy(client, len, "SteamClient2009");
			case 8: copy(client, len, "AVSMP");
			default: copy(client, len, "?");
		}
	}
}

// Returns player protocol.
stock get_user_protocol(index)
{
	new dp_protocol = get_cvar_pointer("dp_r_protocol");

	if (dp_protocol)
	{
		server_cmd("dp_clientinfo %d", index);
		server_exec();

		return get_pcvar_num(dp_protocol);
	}

	return 0;
}